using Darkmatter.Libs.Installers;
using UnityEngine;
using VContainer;
using VContainer.Unity;

namespace Darkmatter.Services.Analytics
{
    public class AnalyticsModule : MonoBehaviour, IModule
    {
        public void Register(IContainerBuilder builder)
        {
#if FIREBASE_ANALYTICS_PRESENT
            builder.RegisterEntryPoint<FirebaseAnalyticsSystem>();
#endif
        }
    }
}